//
//  STMapPoint.m
//  Whereami
//
//  Created by Socratis Tornaritis on 9/12/13.
//  Copyright (c) 2013 Socratis Tornaritis. All rights reserved.
//

#import "STMapPoint.h"

@implementation STMapPoint

- (id)initWithCoordinate:(CLLocationCoordinate2D)coordinate
                   title:(NSString *)title
                subtitle:(NSString *)subtitle {
   
   if (self = [super init]) {
      _coordinate = coordinate;
      [self setTitle:title];
      [self setSubtitle:subtitle];
   }
   return self;
}


- (id)init {
   return [self initWithCoordinate:CLLocationCoordinate2DMake(38.793062, -89.996707)
                             title:@"SIUE"
                          subtitle:@"nSouthern Illinois University Edwardsville\nEdwardsville, Illinois"];
}
@end
